Lavalite package that provides category management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litepci/category`.

    "litepci/category": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litepci\Category\Providers\CategoryServiceProvider::class,

And also add it to alias

    'Category'  => Litepci\Category\Facades\Category::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litepci\\CategoryTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litepci\Category\Providers\CategoryServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litepci\Category\Providers\CategoryServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litepci\Category\Providers\CategoryServiceProvider" --tag="view"


## Usage


