<?php

// Resource routes  for course
Route::group(['prefix' => set_route_guard('web').'/category'], function () {
    Route::resource('course', 'CourseResourceController');
});

// Public  routes for course
Route::get('course/popular/{period?}', 'CoursePublicController@popular');
Route::get('categories/', 'CoursePublicController@index');
Route::get('categories/{slug?}', 'CoursePublicController@show');


// Resource routes  for subcategory
Route::group(['prefix' => set_route_guard('web').'/category'], function () {
    Route::resource('subcategory', 'SubcategoryResourceController');
});

// Public  routes for subcategory
Route::get('subcategory/popular/{period?}', 'SubcategoryPublicController@popular');
Route::get('categories/', 'SubcategoryPublicController@index');
Route::get('categories/{slug?}', 'SubcategoryPublicController@show');

