<?php

namespace Litepci\Category\Repositories\Eloquent;

use Litepci\Category\Interfaces\SubcategoryRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class SubcategoryRepository extends BaseRepository implements SubcategoryRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('litepci.category.subcategory.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litepci.category.subcategory.model.model');
    }
}
