            @include('category::public.course.partial.header')

            <section class="single">
                <div class="container">
                    <div class="row">
                        <div class="col-md-3">
                            @include('category::public.course.partial.aside')
                        </div>
                        <div class="col-md-9 ">
                            <div class="area">
                                <div class="item">
                                    <div class="feature">
                                        <img class="img-responsive center-block" src="{!!url($course->defaultImage('images' , 'xl'))!!}" alt="{{$course->title}}">
                                    </div>
                                    <div class="content">
                                        <div class="row">
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="id">
                    {!! trans('category::course.label.id') !!}
                </label><br />
                    {!! $course['id'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="company_id">
                    {!! trans('category::course.label.company_id') !!}
                </label><br />
                    {!! $course['company_id'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="name">
                    {!! trans('category::course.label.name') !!}
                </label><br />
                    {!! $course['name'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="type">
                    {!! trans('category::course.label.type') !!}
                </label><br />
                    {!! $course['type'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="duration">
                    {!! trans('category::course.label.duration') !!}
                </label><br />
                    {!! $course['duration'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="price">
                    {!! trans('category::course.label.price') !!}
                </label><br />
                    {!! $course['price'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="min_seat">
                    {!! trans('category::course.label.min_seat') !!}
                </label><br />
                    {!! $course['min_seat'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="questions_per_quiz">
                    {!! trans('category::course.label.questions_per_quiz') !!}
                </label><br />
                    {!! $course['questions_per_quiz'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="quiz_mode">
                    {!! trans('category::course.label.quiz_mode') !!}
                </label><br />
                    {!! $course['quiz_mode'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="pass_percent">
                    {!! trans('category::course.label.pass_percent') !!}
                </label><br />
                    {!! $course['pass_percent'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="credit_hours">
                    {!! trans('category::course.label.credit_hours') !!}
                </label><br />
                    {!! $course['credit_hours'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="image">
                    {!! trans('category::course.label.image') !!}
                </label><br />
                    {!! $course['image'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="description">
                    {!! trans('category::course.label.description') !!}
                </label><br />
                    {!! $course['description'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="preview">
                    {!! trans('category::course.label.preview') !!}
                </label><br />
                    {!! $course['preview'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="coordinator_name">
                    {!! trans('category::course.label.coordinator_name') !!}
                </label><br />
                    {!! $course['coordinator_name'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="coordinator_sign">
                    {!! trans('category::course.label.coordinator_sign') !!}
                </label><br />
                    {!! $course['coordinator_sign'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="acknowledgement">
                    {!! trans('category::course.label.acknowledgement') !!}
                </label><br />
                    {!! $course['acknowledgement'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="sort">
                    {!! trans('category::course.label.sort') !!}
                </label><br />
                    {!! $course['sort'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="status">
                    {!! trans('category::course.label.status') !!}
                </label><br />
                    {!! $course['status'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="featured">
                    {!! trans('category::course.label.featured') !!}
                </label><br />
                    {!! $course['featured'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="slug">
                    {!! trans('category::course.label.slug') !!}
                </label><br />
                    {!! $course['slug'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="user_id">
                    {!! trans('category::course.label.user_id') !!}
                </label><br />
                    {!! $course['user_id'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="user_type">
                    {!! trans('category::course.label.user_type') !!}
                </label><br />
                    {!! $course['user_type'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="created_at">
                    {!! trans('category::course.label.created_at') !!}
                </label><br />
                    {!! $course['created_at'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="updated_at">
                    {!! trans('category::course.label.updated_at') !!}
                </label><br />
                    {!! $course['updated_at'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="deleted_at">
                    {!! trans('category::course.label.deleted_at') !!}
                </label><br />
                    {!! $course['deleted_at'] !!}
            </div>
        </div>
    </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::numeric('company_id')
                       -> label(trans('category::course.label.company_id'))
                       -> placeholder(trans('category::course.placeholder.company_id'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('name')
                       -> label(trans('category::course.label.name'))
                       -> placeholder(trans('category::course.placeholder.name'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                   {!! Form::inline_radios('type')
                   -> radios(trans('category::course.options.type'))
                   -> label(trans('category::course.label.type'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::numeric('duration')
                       -> label(trans('category::course.label.duration'))
                       -> placeholder(trans('category::course.placeholder.duration'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::numeric('price')
                       -> label(trans('category::course.label.price'))
                       -> placeholder(trans('category::course.placeholder.price'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::numeric('min_seat')
                       -> label(trans('category::course.label.min_seat'))
                       -> placeholder(trans('category::course.placeholder.min_seat'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::numeric('questions_per_quiz')
                       -> label(trans('category::course.label.questions_per_quiz'))
                       -> placeholder(trans('category::course.placeholder.questions_per_quiz'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                   {!! Form::inline_radios('quiz_mode')
                   -> radios(trans('category::course.options.quiz_mode'))
                   -> label(trans('category::course.label.quiz_mode'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::numeric('pass_percent')
                       -> label(trans('category::course.label.pass_percent'))
                       -> placeholder(trans('category::course.placeholder.pass_percent'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::numeric('credit_hours')
                       -> label(trans('category::course.label.credit_hours'))
                       -> placeholder(trans('category::course.placeholder.credit_hours'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('image')
                       -> label(trans('category::course.label.image'))
                       -> placeholder(trans('category::course.placeholder.image'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('description')
                       -> label(trans('category::course.label.description'))
                       -> placeholder(trans('category::course.placeholder.description'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('preview')
                       -> label(trans('category::course.label.preview'))
                       -> placeholder(trans('category::course.placeholder.preview'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('coordinator_name')
                       -> label(trans('category::course.label.coordinator_name'))
                       -> placeholder(trans('category::course.placeholder.coordinator_name'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('coordinator_sign')
                       -> label(trans('category::course.label.coordinator_sign'))
                       -> placeholder(trans('category::course.placeholder.coordinator_sign'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('acknowledgement')
                       -> label(trans('category::course.label.acknowledgement'))
                       -> placeholder(trans('category::course.placeholder.acknowledgement'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::numeric('sort')
                       -> label(trans('category::course.label.sort'))
                       -> placeholder(trans('category::course.placeholder.sort'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                   {!! Form::inline_radios('featured')
                   -> radios(trans('category::course.options.featured'))
                   -> label(trans('category::course.label.featured'))!!}
                </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </section>



